%define _unpackaged_files_terminate_build 0

Summary:	C++ Implementation of W3C security standards for XML
Name:		xml-security-c
Version:	2.0.4
Release:    1%{?dist}
License:	ASL 2.0
URL:		http://santuario.apache.org/cindex.html
Source0:	https://www.apache.org/dist/santuario/c-library/%{name}-%{version}.tar.gz
BuildRequires: make
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gcc-c++
BuildRequires:	libtool
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig
BuildRequires:	xalan-c-devel
BuildRequires:	xerces-c-devel

%description
The xml-security-c library is a C++ implementation of the XML Digital Signature
specification. The library makes use of the Apache XML project's Xerces-C XML
Parser and Xalan-C XSLT processor. The latter is used for processing XPath and
XSLT transforms.

%package devel
Summary:	Development files for xml-security-c
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel
Requires:	openssl-devel
Requires:	xalan-c-devel
Requires:	xerces-c-devel

%description devel
This package provides development files for xml-security-c, a C++ library for
XML Digital Signatures.

%prep
%autosetup -p1

%build
autoreconf -fiv
%configure \
	--disable-debug \
	--disable-static \
	--without-nss \
	--with-openssl \
	--with-xalan \
	%{nil}
%make_build

%install
%make_install

%check
./xsec/xsec-xtest

%files
%{_libdir}/libxml-security-c.so.20{,.*}

%files devel
%license LICENSE.txt
%doc CHANGELOG.txt NOTICE.txt
%{_includedir}/xsec
%{_libdir}/libxml-security-c.so
%{_libdir}/pkgconfig/xml-security-c.pc
%exclude %{_bindir}/*

%changelog
* Tue Aug 06 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.4-1
- initial build
